#version 330

in vec3 vTexCoord;

layout(location = 0, index = 0) out vec4 fragColor;

uniform sampler3D u_videoTexture;
uniform float u_frameOffset;

void main(void)
{
    vec3 texCoord = vTexCoord;
    texCoord.z += u_frameOffset;

    if (texCoord.z > 1)
        texCoord.z -= 1;

    fragColor = texture(u_videoTexture, texCoord);
}
