#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDialog>

namespace Ui {
class MainWindow;
}

class MainWindow : public QDialog
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    void on_frameSlider_valueChanged(int value);

    void on_pushButton_LoadVideo_clicked();

    void on_radioButton_Style_HorseShoe_toggled(bool checked);

    void on_radioButton_Style_Block_toggled(bool checked);

    void on_lineEdit_StepSize_editingFinished();

    void on_lineEdit_BoxSize_editingFinished();

    void on_horizontalSlider_StepSize_valueChanged(int value);

    void on_horizontalSlider_StepSize_sliderReleased();

    void on_horizontalSlider_BoxSize_valueChanged(int value);

    void on_radioButton_Metric_None_toggled(bool checked);

    void on_radioButton_Metric_YDIF_toggled(bool checked);

    void on_radioButton_Metric_YMSE_toggled(bool checked);

    void on_radioButton_Metric_YNDIF_toggled(bool checked);

    void on_radioButton_Metric_YNMSE_toggled(bool checked);

    void on_radioButton_Metric_IQDIF_toggled(bool checked);

    void on_pushButton_SelectFile_clicked();

    void on_transferBox_valueChanged(float *value);

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
