#version 330

in vec3 pos;
in vec3 texCoord;

uniform mat4 u_MVPMatrix;
uniform mat4 u_MMatrix;

out vec3 vTexCoord;
out vec4 vPos;

void main(void)
{
    vTexCoord = texCoord;
    gl_Position = u_MVPMatrix * vec4(pos, 1.0f);
    //vPos = vec3(u_MVMatrix * vec4(pos,1.0f));
    vPos = u_MMatrix * vec4(pos, 1);
}
